GET /search/{type}

trakt.tv

Summary: Get text query results
Operation ID: Get text query results
Auth: unknown
Description

#### 📄 Pagination ✨ Extended Info 🎚 Filters Search all text fields that a media object contains (i.e. title, overview, etc). Results are ordered by the most relevant score. Specify the `type` of results by sending a single value or a comma delimited string for multiple types. #### Special Characters Our search engine (Solr) gives the following characters special meaning when they appear in a query: `+ - && || ! ( ) { } [ ] ^ " ~ * ? : /` To interpret any of these characters literally (and not as a special character), precede the character with a backslash `\` character. #### Search Fields By default, all text fields are used to search for the `query`. You can optionally specify the `fields` parameter with a single value or comma delimited string for multiple fields. Each `type` has specific `fields` that can be specified. This can be useful if you want to support more strict searches (i.e. title only). | Type | Field | |---|---| | `movie` | `title` | | | `tagline` | | | `overview` | | | `people` | | | `translations` | | | `aliases` | | `show` | `title` | | | `overview` | | | `people` | | | `translations` | | | `aliases` | | `episode` | `title` | | | `overview` | | `person` | `name` | | | `biography` | | `list` | `name` | | | `description` |

Parameters (4)

query (string, query, required)

Search all text based fields.

trakt-api-key (string, header, optional)

e.g. [client_id]

trakt-api-version (string, header, optional)

e.g. 2

type (string, path, required)

Search type.

Constraints: {'enum': ['movie', 'show', 'episode', 'person', 'list']}

No probe data for this endpoint yet.